org.springframework.web.reactive.result.view

## Interface ViewResolver

All Known Implementing Classes:
  FreeMarkerViewResolver, ScriptTemplateViewResolver, UrlBasedViewResolver

    public interface ViewResolver

Contract to resolve a view name to a `View` instance. The view name may correspond to an HTML template or be generated dynamically.

The process of view resolution is driven through a ViewResolver-based `HandlerResultHandler` implementation called `ViewResolutionResultHandler`.

Since:
  5.0
Author:
  Rossen Stoyanchev
See Also:
  `ViewResolutionResultHandler`

### Method Summary

All Methods Instance Methods Abstract Methods
`reactor.core.publisher.Mono<View>` `resolveViewName(String viewName, Locale locale)` Resolve the view name to a View instance.

### Method Detail

#### resolveViewName

    reactor.core.publisher.Mono<View> resolveViewName(String viewName,
                                                      Locale locale)

Resolve the view name to a View instance.

Parameters:
  `viewName` - the name of the view to resolve
  `locale` - the locale for the request
Returns:
  the resolved view or an empty stream